<?php
declare(strict_types=1);

namespace Inti\Wp\Helpers;

/**
 * Class ConfigProvider
 *
 * @package Inti\Wp\Helpers
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-helpers
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'dependencies' => [
                'aliases' => [
                    Provider\ProviderListInterface::class => Provider\ProviderList::class,
                ],

                'factories' => [
                    Provider\ProviderList::class => Container\ProviderListFactory::class,
                    Provider\ProviderManager::class => Container\ProviderManagerFactory::class,
                ],
            ],
        ];
    }
}
