<?php
declare(strict_types=1);

namespace Inti\Wp\Helpers\Container;

use Inti\Wp\Helpers\Provider\ProviderList;
use Inti\Wp\Helpers\Provider\ProviderListInterface;
use Inti\Wp\Helpers\Provider\ProviderManager;
use Psr\Container\ContainerInterface;

/**
 * Class ProviderListFactory
 *
 * @package Inti\Wp\Helpers\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-helpers
 */
final class ProviderListFactory
{
    public function __invoke(ContainerInterface $container): ProviderListInterface
    {
        $config = $container->has('config') ? $container->get('config') : [];
        $manager = $container->get(ProviderManager::class);

        return new ProviderList($manager, $config['wp']['providers'] ?? []);
    }
}
