<?php
declare(strict_types=1);

namespace Inti\Wp\Helpers\Container;

use Inti\Wp\Helpers\Provider\ProviderManager;
use Psr\Container\ContainerInterface;

/**
 * Class ProviderManagerFactory
 *
 * @package Inti\Wp\Helpers\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-helpers
 */
final class ProviderManagerFactory
{
    public function __invoke(ContainerInterface $container): ProviderManager
    {
        $config = $container->has('config') ? $container->get('config') : [];
        return new ProviderManager($container, $config['wp_post_providers'] ?? []);
    }
}
