<?php
declare(strict_types=1);

namespace Inti\Wp\Helpers\Provider;

/**
 * Interface ProviderInterface
 *
 * @package Inti\Wp\Helpers\Provider
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-helpers
 */
interface ProviderInterface
{
    public function count(): int;
    public function findByIds(array $ids): array;
    public function findBySlug(string $slug): ?array;
    public function getAll(int $limit, int $offset = 0): array;
    public function getMetadata(int $id): array;
    public function getType(): string;
}
