<?php /** @noinspection PhpMissingFieldTypeInspection */
declare(strict_types=1);

namespace Inti\Wp\Helpers\Provider;

use Laminas\ServiceManager\AbstractPluginManager;

use function array_keys;

/**
 * Class ProviderManager
 *
 * @package Inti\Wp\Helpers\Provider
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-helpers
 *
 * @method ProviderInterface get(string $name)
 */
final class ProviderManager extends AbstractPluginManager
{
    /** @var string */
    protected $instanceOf = ProviderInterface::class;

    public function getRegisteredTypes(): array
    {
        return array_keys($this->aliases);
    }
}
